using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 特殊学生审核服务
/// </summary>
[ApiDescriptionSettings(Name = "exam-special-student-audit")]
[Route("exam/special/student/audit")]
public class ExamSpecialStudentAuditAppService : IDynamicApiController
{
    private readonly IExamSpecialStudentAuditService _examSpecialStudentAuditService;

    public ExamSpecialStudentAuditAppService(IExamSpecialStudentAuditService examSpecialStudentAuditService)
    {
        _examSpecialStudentAuditService = examSpecialStudentAuditService;
    }

    /// <summary>
    /// 提交审核
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Submit(BaseId input)
    {
        await _examSpecialStudentAuditService.Submit(input);
    }
    /// <summary>
    /// 审核
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Audit(ExamSepcialStudentAuditInput input)
    {
        await _examSpecialStudentAuditService.Audit(input);
    }
    /// <summary>
    /// 反审
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Reaudit(BaseId input)
    {
        await _examSpecialStudentAuditService.Reaudit(input);
    }

    /// <summary>
    /// 获取待审核监测计划列表
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task<PageResult<ExamPlanAuditOutput>> QueryExamPlanPageList(ExamPlanPageInput input)
    {
        return await _examSpecialStudentAuditService.QueryExamPlanPageList(input);
    }
    /// <summary>
    /// 获取待审核机构列表
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task<PageResult<ExamPlanOrgAuditOutput>> QueryOrgAuditPageList(ExamOrgDataReportAuditPageInput input)
    {
        return await _examSpecialStudentAuditService.QueryOrgAuditPageList(input);
    }
}


